<template>
  <MainLayout id="app">
    <PermissionsList />
  </MainLayout>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';
import PermissionsList from '@/containers/PermissionsList.vue';
import PermissionsModule from '@/store/modules/permissions';
import MainLayout from '@/components/layouts/mainLayout/MainLayout.vue';

@Component({
  name: 'App',
  components: { MainLayout, PermissionsList },
})
export default class extends Vue {
  async mounted() {
    await getModule(PermissionsModule, this.$store).fetchPermissions();

    // @ts-ignore
    window.app = this;
  }
}
</script>
